Custom Tables for Joomla est une extension qui vous permet d'ajouter des tables, des champs et des mises en page de base de données personnalisés.

Il a différentes mises en page (modèles) : catalogues, formulaire d'édition ou page de détails, etc. Et il prend entièrement en charge le langage de modèle moderne Twig.

Il comporte 40 types de champs tels qu'entier, décimal, chaîne de texte, date, heure, e-mail, couleur, image, fichier, jointure de table, utilisateur, langue, etc. Les zones de saisie du formulaire d'édition dépendent du type de champ, le type de champ Date affichera un calendrier, Couleur - Sélecteur de couleurs, Image - Téléchargeur d'images, etc.

Les tables peuvent être connectées à l’aide du type de champ Table Join (LEFT JOIN).

L'éditeur de mise en page avec le langage Twig possède un bouton de création automatique qui créera une nouvelle mise en page basée sur la liste des champs du tableau.

Les tables sont stockées dans des bases de données MySQL, Maria ou Postgree, toutes les requêtes et valeurs de champs sont nettoyées.

# Comment ça fonctionne

Créer une table et des champs
![](https://joomlaboat.com/images/components/ct/listoftables.png)
![](https://joomlaboat.com/images/components/ct/listoffields.png)

Créez des mises en page de formulaire d'édition et de catalogue pour afficher le contenu du tableau sur le front-end.

![](https://joomlaboat.com/images/components/ct/listoflayouts.png)
![](https://joomlaboat.com/images/components/ct/layout.png)


La mise en page est un langage de modèle pour le code HTML avec des balises spéciales pour extraire les données des enregistrements du tableau.

Lors du rendu des enregistrements du catalogue, la balise sera remplacée par la valeur du champ.

Exemple, vous avez un champ "producttitle", pour afficher sa valeur, tapez ceci :

`<p>{{ titre du produit }}</p>`

Où `<p></p>` est la balise de paragraphe HTML. et `{{ producttitle }}` est la balise Twig qui renverra la valeur du champ "producttitle".

![](https://joomlaboat.com/images/components/ct/menu.png) Créez un élément de menu de catalogue de tables personnalisé, sélectionnez la table, la présentation du catalogue, modifiez la présentation du formulaire et configurez d'autres paramètres tels que le niveau d'accès, etc.

Prêt.

![](https://joomlaboat.com/images/components/ct/appointments.png)
