Je souhaite vous montrer un exemple étape par étape de la façon de créer le formulaire et la page de catalogue à l'aide de Custom Tables.

Créons la page de formulaire "Rendez-vous" à titre d'exemple.

Ce formulaire comportera les champs suivants : Nom complet, Email et Date.

Nous aurons également une page d'affichage du catalogue pour voir la liste des demandes de rendez-vous soumises.

De plus, le site Web enverra un e-mail de notification au propriétaire du site Web.

La première chose à faire est de créer une nouvelle table. Ensuite, nous devons ajouter des champs à notre table.

Ensuite, nous créons la présentation du formulaire, du catalogue et de l'e-mail.

Et la dernière chose est de créer les éléments de menu pour rendre le formulaire et le catalogue visibles sur le site.

# Exemple:
**Le formulaire de soumission :**

![](https://joomlaboat.com/images/components/ct/ctquickstart/Z2.png)

**La page du catalogue :**

![](https://joomlaboat.com/images/components/ct/ctquickstart/1.png)

# Guide étape par étape
## Étape 1 : Créer une nouvelle table

Pour créer une nouvelle table personnalisée, accédez à Composants / Tableaux personnalisés. Cliquez sur l'icône de la section Tableaux.

![](https://joomlaboat.com/images/components/ct/ctquickstart/2.png)

Cliquez ensuite sur le bouton [Nouveau].

![](https://joomlaboat.com/images/components/ct/ctquickstart/3.png)

Remplissez le formulaire. "Nom de table unique" est la manière dont la table sera identifiée dans le système.
"Titre de la table" est le nom traduisible de la table qui sera visible par les utilisateurs frontaux, s'il est défini ainsi.

Si vous disposez d'un site Web multilingue, davantage de champs « Titre du tableau » apparaîtront : un pour chaque langue.
Le champ "Catégorie" sert à organiser les tableaux.

![](https://joomlaboat.com/images/components/ct/ctquickstart/4.png)

Vous pouvez également ajouter une description à votre tableau. Elle sera également visible par l'utilisateur frontal, si cela est défini.

Une fois terminé, cliquez sur "Enregistrer et fermer".

![](https://joomlaboat.com/images/components/ct/ctquickstart/5.png)

## Étape 2 : Ajouter des champs à notre table

Nous avons maintenant une table vide. Cliquez sur le lien Champs (0) pour gérer les champs du tableau.

![](https://joomlaboat.com/images/components/ct/ctquickstart/6.png)

Cliquez sur le bouton [Nouveau] pour créer un nouveau champ. Remplissez le formulaire et cliquez sur Enregistrer.

![](https://joomlaboat.com/images/components/ct/ctquickstart/7.png)

Créez un champ "nom complet". Remplissez le formulaire. Enregistrez-le et créez plus de champs.

![](https://joomlaboat.com/images/components/ct/ctquickstart/8.png)

Créez le champ "email".

![](https://joomlaboat.com/images/components/ct/ctquickstart/9.png)

Créez le champ "date".

![](https://joomlaboat.com/images/components/ct/ctquickstart/10.png)

Vous pouvez définir des options supplémentaires si nécessaire.

![](https://joomlaboat.com/images/components/ct/ctquickstart/11.png)

Maintenant, nous avons trois champs.

![](https://joomlaboat.com/images/components/ct/ctquickstart/12.png)

## Étape 3 : Création des mises en page de sortie

La mise en page est la manière dont les parties du tableau personnalisé sont disposées sur la page HTML rendue.

Dans les tableaux personnalisés, nous utilisons des « balises » spéciales qui seront remplacées par le contenu de la base de données ou générées par le processus.
Exemple : [table:title] - qui sera remplacé par le titre actuel de la table – « Rendez-vous »

### La première mise en page :
Passons à autre chose et créons notre première mise en page.

![](https://joomlaboat.com/images/components/ct/ctquickstart/m.png)

Cliquez sur le bouton [Nouveau] pour créer une nouvelle mise en page.

![](https://joomlaboat.com/images/components/ct/ctquickstart/14.png)

![](https://joomlaboat.com/images/components/ct/ctquickstart/laytout2.png)7

Entrez le nom de la mise en page "SubmitAppointments", qui sera le nom unique de notre mise en page puisqu'il sera utilisé comme nom d'identifiant pour trouver la mise en page.

Sélectionnez le type : saisissez sur quel type de page il sera utilisé. Nous avons besoin d'une mise en page pour la page Soumettre le formulaire, alors sélectionnez le type "Modifier le formulaire".

Sélectionnez le tableau auquel attacher la mise en page.

Vous pouvez désormais également utiliser "Layout Auto Creator" pour générer la mise en page en fonction du type et des champs de votre tableau personnalisé actuel.

![](https://joomlaboat.com/images/components/ct/ctquickstart/laytout3.png)

La plupart des balises ont leurs paramètres. Par exemple, le html.button("save&close") a les paramètres "type", "Button Label", "Custom Redirect Link" et "CSS class".

Double-cliquez simplement sur une balise pour voir ses paramètres.

![](https://joomlaboat.com/images/components/ct/ctquickstart/t.png)

Dans le « Lien de redirection personnalisé », vous pouvez ajouter un lien pour rediriger la personne vers la page d'accueil.

Lorsque vous avez terminé de modifier la mise en page, enregistrez-la.

![](https://joomlaboat.com/images/components/ct/ctquickstart/z.png)

Nous avons maintenant une mise en page de formulaire d'édition.

### La deuxième mise en page :

Nous avons maintenant besoin d'une mise en page de catalogue. Une mise en page de catalogue est une forme de sortie de données de tableau pour afficher les enregistrements soumis.

Cliquez sur [Nouveau] pour créer une nouvelle mise en page, saisissez le nom de la mise en page « Liste des rendez-vous » par exemple.

Sélectionnez Type - "Catalogue simple". Ce type de mise en page permet de restituer la sortie d'un tableau HTML à l'aide de la balise {catalogtable:}.

![](https://joomlaboat.com/images/components/ct/ctquickstart/new1.png)

Cliquez également sur "Layout Auto Creator" pour générer la mise en page du catalogue simple.

![](https://joomlaboat.com/images/components/ct/ctquickstart/form6.png)

Cliquez sur {{ html.toolbar }} qui se trouve sur la ligne 30, pour personnaliser les boutons que vous souhaitez y avoir. Lorsque vous avez terminé – Cliquez sur « Enregistrer et fermer ».

![](https://joomlaboat.com/images/components/ct/ctquickstart/18.png)

![](https://joomlaboat.com/images/components/ct/ctquickstart/19.png)

### La troisième mise en page :

Créez également une « mise en page de courrier électronique » : elle sera envoyée à un courrier électronique fourni dans l'élément de menu (sera expliqué plus tard) après la soumission du formulaire.

![](https://joomlaboat.com/images/components/ct/ctquickstart/w.png)

![](https://joomlaboat.com/images/components/ct/ctquickstart/y.png)

![](https://joomlaboat.com/images/components/ct/ctquickstart/z.png)

## Étape 4 : Ajouter un élément de menu

Maintenant, configurons le front-end. Nous utiliserons les éléments de menu pour créer des pages frontales.

Créez d’abord un nouvel élément de menu, entrez le titre du menu.

Sélectionnez le type d'élément de menu. Nous avons besoin de tableaux personnalisés - Ajouter un nouvel élément (il s'agit de la page de soumission du formulaire)

![](https://joomlaboat.com/images/components/ct/ctquickstart/21.png)

![](https://joomlaboat.com/images/components/ct/ctquickstart/22a.png)

![](https://joomlaboat.com/images/components/ct/ctquickstart/again1.png)

![](https://joomlaboat.com/images/components/ct/ctquickstart/untitled.png)

![](https://joomlaboat.com/images/components/ct/ctquickstart/25.png)

Accédez à Options, sélectionnez votre table et définissez « Qui peut ajouter du contenu » sur Public - pour permettre aux utilisateurs non enregistrés de soumettre leur formulaire.
Le reste est défini sur Administrateur ou Super Administrateur.

![](https://joomlaboat.com/images/components/ct/ctquickstart/141.png)

Sélectionnez « Les invités peuvent ajouter de nouveaux enregistrements »

Réglez « Envoyer un e-mail lors de l'enregistrement » sur « Ajouté »

Pour « Dans l'enregistrement, ajouter envoyer un e-mail à », saisissez l'adresse e-mail à laquelle souhaitez-vous qu'un e-mail soit envoyé.

Sélectionnez également la présentation du courrier électronique. Sauvegarde le.

![](https://joomlaboat.com/images/components/ct/ctquickstart/142.png)

Il est maintenant temps de voir à quoi cela ressemble en façade. Ouvrez en front-end l’élément de menu que vous venez de créer. Ça devrait ressembler à ça:

![](https://joomlaboat.com/images/components/ct/ctquickstart/Z2-Copy.png)

![](https://joomlaboat.com/images/components/ct/ctquickstart/again2.png)

![](https://joomlaboat.com/images/components/ct/ctquickstart/again3.png)

![](https://joomlaboat.com/images/components/ct/ctquickstart/again4.png)

Vous recevrez un e-mail après avoir soumis ce formulaire.

Essayez de modifier/ajouter divers paramètres de mise en page pour vous familiariser.

Pour afficher les enregistrements soumis, nous avons la disposition « ListOfAppointments ». Créez un élément de menu avec le type Tableaux personnalisés/Catalogue pour l'avoir en front-end.

![](https://joomlaboat.com/images/components/ct/ctquickstart/21.png)

![](https://joomlaboat.com/images/components/ct/ctquickstart/23.png)

![](https://joomlaboat.com/images/components/ct/ctquickstart/aca2.png)

![](https://joomlaboat.com/images/components/ct/ctquickstart/aca3.png)

![](https://joomlaboat.com/images/components/ct/ctquickstart/aca4.png)

Définir qui peut voir cet élément de menu

![](https://joomlaboat.com/images/components/ct/ctquickstart/finish1.png)

### Voici ce que vous aurez dans un front-end de votre site web :

![](https://joomlaboat.com/images/components/ct/ctquickstart/1-Copy.png)

Par défaut, la nouvelle table ne contient que deux champs : "id" (int(10)) où l'ID d'enregistrement unique est stocké, et "published" (tinyint(1)) qui marquera un enregistrement comme publié/visible (1) ou non publié. /caché (0).
Ces deux champs ne peuvent être modifiés ou supprimés.
