Le filtre ou « clause Where » est utilisé pour extraire uniquement les enregistrements qui remplissent une condition spécifiée.

Le filtre est la liste des conditions séparées par « et » ou « ou » (pas les deux car les parenthèses ne sont pas encore autorisées).

Chaque condition séparée par l'opérateur conditionnel tel que '=' (ou '<' ou '<=' ou '>' ou '>=' ou '!=' et '==' qui correspond exactement)

Sur le côté gauche se trouve le nom du champ et sur le côté droit se trouve la valeur

Exemple:

`prix>0`

Où « prix » est le nom du champ

Opérateur conditionnel '>' qui signifie plus que.

« 0 » est la valeur.


### Les balises Twig peuvent également être utilisées à la place de la valeur.

Exemple:

`authoruser={{ user.id }}`

Cela produira la liste des enregistrements où le champ d’identifiant « authoruser » est égal à l’identifiant de l’utilisateur actuel. Pour afficher tous les enregistrements appartenant à un utilisateur actuel.

Plusieurs conditions peuvent être utilisées :

`authoruser={{ user.id }} et active=1`

Où « actif » est le champ de type de case à cocher.

Pour obtenir une valeur du paramètre de requête URL, utilisez la balise {{ url.getint('param_name') }} ou équivalent.

Exemple:

`color={{ url.getstring('string') }}`

cela lira la valeur « couleur » de la requête URL.

Pour obtenir la date actuelle, utilisez {{ 'now'|date('m/d/Y') }} ou {{ 'now'|date('Y') }} pour l'année ou {{ 'now'|date ('m') }} pour le mois.

Vous pouvez également formater la date à l'aide des spécificateurs de format MySQL date_format()

Exemple:

`creation={now:%m}`

Exemple:

`birthdate:%m=1` pour obtenir le mois de la valeur du champ.


Filtres utilisés dans l'élément de menu/onglet Filtre/paramètre de recherche et dans les balises suivantes :
{{ record.joincount() }}
{{ record.joinavg() }}
{{ record.joinmax() }}
{{ record.joinvalue() }}
{{ record.jointable() }}
{{ tables.getvalue() }}
{{ tables.getrecord() }}
{{ tables.getrecords() }}

et dans les plugins {customtablesrecord=...} et {customtablescatalog=...}

